Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

According to the output below, I can't run Unity on my laptop.

However, what is not clear from searching Google and Ubuntu Forums is whether or not the problems are fixable.

Can settings be changed to make Unity run, or is it just a done deal?

$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string:   Mesa Project
OpenGL renderer string: Software Rasterizer
OpenGL version string:  2.1 Mesa 7.10.2

Not software rendered:    no
Not blacklisted:          yes
GLX fbconfig:             yes
GLX texture from pixmap:  no
GL npot or rect textures: yes
GL vertex program:        yes
GL fragment program:      yes
GL vertex buffer object:  yes
GL framebuffer object:    yes
GL version is 1.4+:       yes

Unity supported:          no
share|improve this question
add comment

1 Answer

up vote 1 down vote accepted

Your laptop doesn't seem to be strong enough to run the 3D version of Unity. You can always use Unity 2D though, which is usability-wise same with the 3D version (and pretty close in appearance as well)

Installing it is rather easy , simply install it from the software center

(fun fact : some of the reviews in the software center show that many prefer the 2D version over the 3D one)

share|improve this answer
    
Thanks for that. I have Unity 2D installed and it seems to work fine. I don't even really understand what 3D does for me in an OS interface anyway, so I suspect I won't miss it. –  Dave M G May 9 '11 at 3:14
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.